---
title: NavigatorPlugins
slug: Web/API/NavigatorPlugins
tags:
  - API
  - Experimental
  - HTML DOM
  - Interface
  - Mixin
  - Navigator
  - NavigatorPlugins
  - Plugins
  - Reference
---
<p>{{APIRef("HTML DOM")}}{{SeeCompatTable}}</p>

<p>The <code><strong>NavigatorPlugins</strong></code> {{Glossary("mixin")}} adds to the {{domxref("Navigator")}} interface methods and properties for discovering and interacting with plugins installed into the browser.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("NavigatorPlugins.mimeTypes")}} {{readonlyInline}}{{experimental_inline}}</dt>
 <dd>Returns an {{domxref("MimeTypeArray")}} listing the MIME types supported by the browser.</dd>
 <dt>{{domxref("NavigatorPlugins.plugins")}} {{readonlyInline}}{{experimental_inline}}</dt>
 <dd>Returns a {{domxref("PluginArray")}} listing the plugins installed in the browser.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>The <code>NavigatorPlugins</code></em><em> interface doesn't inherit any methods.</em></p>

<dl>
 <dt>{{domxref("NavigatorPlugins.javaEnabled", "NavigatorPlugins.javaEnabled()")}} {{readonlyInline}}{{experimental_inline}}</dt>
 <dd>Returns a {{domxref("Boolean")}} flag indicating whether the host browser is Java-enabled or not.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#navigatorplugins', 'NavigatorPlugins')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NavigatorPlugins")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Navigator")}} interface that implements it.</li>
</ul>
